## libtool1.4 1.4.3-21

=== Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = .

pkglibdir = $(libdir)/libtool
pkgincludedir = $(includedir)/libtool
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i386-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS THANKS TODO config.guess config.sub \
	install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/./libtool.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(mkdir_p)
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(aclocaldir)" "$(DESTDIR)$(pkgdatadir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
pkgdataSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS) $(pkgdata_SCRIPTS)
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
aclocalDATA_INSTALL = $(INSTALL_DATA)
pkgdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(aclocal_DATA) $(pkgdata_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
pkgdatadir = ${datadir}/libtool
ACINCLUDE_M4_LIST = ./acinclude.m4 ./cdemo/acinclude.m4 ./demo/acinclude.m4 ./depdemo/acinclude.m4 ./mdemo/acinclude.m4
ACLOCAL = ${SHELL} /root/libtool-1.4/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /root/libtool-1.4/missing --run tar
AUTOCONF = ${SHELL} /root/libtool-1.4/missing --run autoconf
AUTOHEADER = ${SHELL} /root/libtool-1.4/missing --run autoheader
AUTOMAKE = ${SHELL} /root/libtool-1.4/missing --run automake-1.8
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none

# We need to export these variables
CFLAGS = -g -O2
CONF_SUBDIRS = cdemo demo depdemo mdemo
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"libtool\" -DVERSION=\"1.4.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
DEPDIR = .deps
DIST_MAKEFILE_LIST = cdemo/Makefile demo/Makefile depdemo/Makefile mdemo/Makefile 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /root/libtool-1.4/missing --run makeinfo
NM = /usr/bin/nm -B
OBJEXT = o
PACKAGE = libtool
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TIMESTAMP = 
VERSION = 1.4.3
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
aclocaldir = ${datadir}/aclocal
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i386-pc-linux-gnu
build_alias = i386-linux-gnu
build_cpu = i386
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i386-pc-linux-gnu
host_alias = 
host_cpu = i386
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /root/libtool-1.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  libltdl
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = 1.3e gnu
BUILD_SUBDIRS = . libltdl doc tests
SUBDIRS = $(BUILD_SUBDIRS)
DIST_SUBDIRS = $(BUILD_SUBDIRS) $(CONF_SUBDIRS)
CPPLAGS = 
aclocal_macros = libtool.m4 ltdl.m4
EXTRA_DIST = $(aclocal_macros) bootstrap libtoolize.in ltmain.in \
	mkstamp ChangeLog.0

CLEANFILES = libtool libtoolize ltmain.shT

# These are required by libtoolize.
pkgdata_SCRIPTS = config.guess config.sub
pkgdata_DATA = ltmain.sh

# This macro file should be visible to Automake's aclocal.
aclocal_DATA = $(aclocal_macros)

# The standalone libtool script, and the libtool distributor.
bin_SCRIPTS = libtool libtoolize

# TSDEPS will be defined to TSDEPS_DIST at `make dist' time
TSDEPS = 
TSDEPS_DIST = ChangeLog libtool.m4
CVS = cvs # set it to `:' to avoid CVS operations
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done
install-pkgdataSCRIPTS: $(pkgdata_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(pkgdataSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	    $(pkgdataSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
	  else :; fi; \
	done

uninstall-pkgdataSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-aclocalDATA: $(aclocal_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(aclocaldir)" || $(mkdir_p) "$(DESTDIR)$(aclocaldir)"
	@list='$(aclocal_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(aclocalDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(aclocaldir)/$$f'"; \
	  $(aclocalDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(aclocaldir)/$$f"; \
	done

uninstall-aclocalDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(aclocal_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(aclocaldir)/$$f'"; \
	  rm -f "$(DESTDIR)$(aclocaldir)/$$f"; \
	done
install-pkgdataDATA: $(pkgdata_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  $(pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

uninstall-pkgdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \

=== debian/changelog ===
libtool1.4 (1.4.3-21) unstable; urgency=low

  * Officially Orphan.

 -- Scott James Remnant <scott@netsplit.com>  Fri,  1 Apr 2005 01:27:33 +0100

libtool1.4 (1.4.3-20) unstable; urgency=low

  * Remove .svn check from debian/rules, no longer necessary.
  * Correctly pass CFLAGS to configure.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 28 Mar 2004 19:53:33 +0100

libtool1.4 (1.4.3-19) unstable; urgency=low

  * Bring the various copyright files up to par.
  * Apply patch from Robert Millan <zeratul2@wanadoo.es> to complete
    support for GNU/kNetBSD.  Closes: #224437.

 -- Scott James Remnant <scott@netsplit.com>  Wed, 31 Dec 2003 13:39:04 +0000

libtool1.4 (1.4.3-18) unstable; urgency=low

  * Port the threading options patch from libtool 1.5 to the older
    package: doesn't place -pthread in dependency_libs but honours it
    on the command line and inside dependency_libs if found for both
    programs and shared libraries.

 -- Scott James Remnant <scott@netsplit.com>  Sun,  9 Nov 2003 19:38:34 +0000

libtool1.4 (1.4.3-17) unstable; urgency=low

  * Disable tests on hppa and ia64.

 -- Scott James Remnant <scott@netsplit.com>  Wed, 22 Oct 2003 15:31:27 +0100

libtool1.4 (1.4.3-16) unstable; urgency=low

  * Remove Build-Depends-Indep placing texi2html and texinfo in
    Build-Depends.  Policy is wrong, the buildds do not ensure these are
    installed for the "build" target of debian/rules.  Closes: #216519.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 19 Oct 2003 16:21:11 +0100

libtool1.4 (1.4.3-15) unstable; urgency=low

  * Run 'make check' after build to make sure it all works.
  * Move rules to create info files and examples .tar.gz files to
    the build target so we don't pollute them with stuff from "make check".
  * Add gcc-3.3 to the list of packages we maintain the /usr/bin/cc
    alternative for.  Closes: #216365.
  * Remove dead code from libtool.m4.  Closes: #213505.
  * Change the threading options patch to something that should
    work for programs too
  * Remove $dir/ from cleaning code which seems to fix bustedness without
    breaking anything else.
  * Mention that libtool1.4-doc will become non-free after sarge.

 -- Scott James Remnant <scott@netsplit.com>  Wed,  1 Oct 2003 01:35:04 +0100

libtool1.4 (1.4.3-14) unstable; urgency=low

  * Prevent recursion on missing ltmain.sh by checking ltmain.in
    exists first.  Closes: #209410.
  * Place NEWS and ChangeLog files in all packages.  Closes: #209411.
  * Always use pass_all on Linux ELF, host_cpu is irrelevant.
    Closes: #209416.
  * Ensure STRIP variable is properly quoted.

 -- Scott James Remnant <scott@netsplit.com>  Wed, 10 Sep 2003 22:12:40 +0100

libtool1.4 (1.4.3-13) unstable; urgency=low

  * Remove acinclude.m4 after generating build files, to ensure that
    they get automatically regenerated.
  * Only suggest autoconf2.13 or a pre-2.5x version of autoconf now.
    If you have autoconf2.5x you should use the libtool package
    instead.
  * No longer provide libtool as a virtual package.
  * Remove references to libltdl3, this is built in the libtool source
    package now.
  * Correct capitalisation of "Libtool" in package descriptions.
  * Add documentation and notes that this is the obsolete 1.4 package.
  * Fix relink ordering, hopefully.  Closes: #179323, #183997, #117829.
  * Change freebsd*-gnu* triplet to kfreebsd*-gnu* in line with
    both config.guess and libtool 1.5.

 -- Scott James Remnant <scott@netsplit.com>  Sat,  2 Aug 2003 02:06:43 +0100

libtool1.4 (1.4.3-12) unstable; urgency=low

  * Moved libtool into a subversion repository for easier maintenance.
    Added "Debian $LastChangedRevision$" comment to libtool.m4, ltdl.m4
    and to the $TIMESTAMP variable in ltmain.in; this will make it easier
    to find out what version of libtool packages are using.
  * Rewrote copyright and README.Debian files to make then a little
    cleaner and neater.
  * Rewrote rules file; updated to debhelper 4.0; set CFLAGS and
    INSTALL_PROGRAM in a policy-conformant way as these are used to build
    libltdl; supply --build and --host as suggested by autotools-dev
    (and policy); no longer regenerate autotools files during build,
    instead use AM_MAINTAINER_MODE and ship files generated by the
    new "configure" rule triggered when I run debuild.
  * Suggest autoconf2.13 as an alternative to autoconf, if they'd rather
    remain in the dark ages.
  * Remove libltdl3-dev postinst (which was empty) and prerm (which
    removed the old /usr/doc symlink) as neither are required now.
    Removed some dead commands from libtool postinst.
  * Renamed package to libtool1.4 in preparation for up-and-coming
    libtool_1.5.  It'll be better for this to hit the archive first.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 28 Jul 2003 03:39:00 +0100

libtool (1.4.3-11) unstable; urgency=low

  * Post-Debcamp/Debconf release.
  * Change STRIP= line to include double quotes so $STRIP may contain
    options.  Closes: #183055.
  * Change lt_dlerror() to return NULL instead of "unknown error" to
    be consistent with the documentation.  Closes: #157229.
  * Check with_gcc for zero-length in IRIX -L[A-Z] test so -LANG, etc
    work.  Closes: #122226.
  * Update IFS to include a newline if unset.  Closes: #98492.
  * Add versioned build-depend on debhelper.
  * Updated to latest standards version.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 27 Jul 2003 23:52:54 +0100

libtool (1.4.3-10) unstable; urgency=medium

  * Run automake as well as aclocal when we build, otherwise the macros
    could get a bit out-of-sync.  Compiles with any automake version on
    my sid machine now.  Closes: #193584, #195107, #166407.
  * Pass the various compiler threading options through to the linker,
    rather than eating them.  Closes: #194774.

 -- Scott James Remnant <scott@netsplit.com>  Sat, 14 Jun 2003 02:58:25 +0100

libtool (1.4.3-9) unstable; urgency=low



=== debian/control ===
Source: libtool1.4
Build-Depends: debhelper (>= 4.0), file, texi2html, texinfo
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.0

Package: libtool1.4
Architecture: any
Section: devel
Depends: gcc | c-compiler, cpp, libc6-dev | libc-dev, file, autotools-dev
Suggests: libtool1.4-doc, autoconf2.13 | autoconf (<< 2.50), automaken
Conflicts: autoconf (<= 2.12), automake (<= 1.3), libtool
Replaces: libtool (<< 1.5)
Description: Generic library support script (obsolete version)
 Obsolete compatibility package of GNU Libtool 1.4.  Only required for
 developing software using Autoconf 2.13.
 .
 This is GNU Libtool, a generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use Libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.
 .
 Libtool supports generation of C, C++ and Java libraries.

Package: libtool1.4-doc
Architecture: all
Section: doc
Replaces: libtool-doc (<< 1.5)
Conflicts: libtool-doc
Description: Generic library support script (obsolete version)
 This package contains the documentation for the obsolete
 GNU Libtool 1.4 release.
 .
 GNU Libtool is generic library support script.  Libtool hides
 the complexity of generating special library types (such as shared
 libraries) behind a consistent interface.  To use Libtool, add the
 new generic library building commands to your Makefile, Makefile.in,
 or Makefile.am.  See the documentation for details.  Libtool supports
 building static libraries on all platforms.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the obsolete Debian GNU Libtool 1.4 package.
# Copyright © 2003, 2004 Scott James Remnant <scott@netsplit.com>

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# Use debhelper v4 features.
export DH_COMPAT=4


# libltdl needs to conform to policy
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Build libltdl the right way (tm)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
	make_check = yes
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	make_check = no
endif

# Tests fail
ifeq (ia64, $(DEB_HOST_ARCH))
	make_check = no
endif

# Tests fail
ifeq (hppa, $(DEB_HOST_ARCH))
	make_check = no
endif
       
# Takes too long
ifeq (m68k, $(DEB_HOST_ARCH))
	make_check = no
endif


build: build-stamp
build-stamp: configure
	dh_testdir

	./configure --prefix=/usr --disable-ltdl-install $(confflags) \
		CFLAGS="$(CFLAGS)"
	$(MAKE)

#	This generated HTML page goes into libtool1.4-doc.
	cd doc && texi2html -monolithic libtool.texi

#	These go into the libtool1.4-doc `examples' directory.
	GZIP=--best tar zcf ./cdemo.tar.gz cdemo
	GZIP=--best tar zcf ./demo.tar.gz demo
	GZIP=--best tar zcf ./mdemo.tar.gz mdemo
	GZIP=--best tar zcf ./depdemo.tar.gz depdemo

ifeq ($(make_check), yes)
#	Now make sure it works
	$(MAKE) check
endif

	touch build-stamp

clean: configure
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -k distclean
	rm -f doc/*.html *.tar.gz
	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf debian/libtool1.4

	dh_clean

# This isn't the rule to *run* the configure script (although it does),
# this is the rule to *create* it along with all the other autotools debris.
#
# Please don't file bugs because of missing build dependencies on the
# commands below.  This rule is intended for the package maintainer only
# and as all Debian libtool packages are shipped with all the gunk
# this rule won't get run unless you either delete your "configure" script
# or run "debian/rules configure" manually.  In either case, you should
# know what you're doing.
configure:
	touch ltmain.sh

	aclocal -I .
	automake -a -c
	cp -f /usr/share/misc/config.{guess,sub} .

	cd libltdl && \
		aclocal -I .. && \
		autoheader2.50 && \
		automake -a -c && \
		autoconf2.50

#	These aren't &&d together because later versions of automake
#	tend to error	with an exit code after making Makefile.in
#	because they break the rules a bit.
	for sub in demo cdemo depdemo mdemo; do \
		cd $$sub; \
		aclocal -I ..; \
		automake --foreign -a -c; \
		autoconf2.50; \
		cd ..; \
	done

	rm -f ltmain.sh
	autoconf2.50

#	Make sure we include ltmain.sh in the package.
	./configure --prefix=/usr --disable-ltdl-install $(confflags)
	$(MAKE) ltmain.sh
	rm -f acinclude.m4 */acinclude.m4
	
# Make it as clean as svn can make it.  Reverses "debian/rules configure"
# provided you've just checked this out of the subversion repository.
svnclean: clean
	for dir in . cdemo debian demo depdemo depdemo/l* doc libltdl mdemo \
		   tests; do \
		(cd $$dir && rm -rf `svn propget svn:ignore`); \
	done

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_movefiles -i

#	These get created during installation
	cd debian/tmp/usr/share/libtool && rm -f config.guess config.sub
	rm -rf debian/tmp/usr/share/libtool/libltdl
	rm -f debian/tmp/usr/share/aclocal/ltdl.m4

	dh_installdocs -i
	dh_installinfo -plibtool1.4-doc
	dh_installexamples -i
	dh_installchangelogs -i ChangeLog
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_movefiles -a

	dh_installdocs -plibtool1.4
	dh_installman -plibtool1.4 debian/libtool.1 debian/libtoolize.1
	dh_installchangelogs -plibtool1.4 ChangeLog
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean svnclean binary-indep binary-arch binary install

## libtool1.4 1.4.3-21.0.0.1.pure64

=== debian/changelog ===
libtool1.4 (1.4.3-21.0.0.1.pure64) unstable; urgency=low

  * Disable tests for non-pic code in shared libs on amd64 since it does
    work.  Backport from libtool 1.5.6

 -- Kurt Roeckx <kurt@roeckx.be>  Tue,  7 Jun 2005 21:50:03 +0200
